'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _imageLoader = require('./imageLoader');

var _imageLoader2 = _interopRequireDefault(_imageLoader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Asynchronously load a list of images
 * @param {files} fileList 
 * @param {boolean || function} skip 
 * @return {Promise}
 */
async function imageListLoader(fileList, skip) {
  const filePromises = Array.prototype.map.call(fileList, async file => (0, _imageLoader2.default)(file, skip));
  const images = await Promise.all(filePromises);
  return images.filter(image => image);
}

exports.default = imageListLoader;