'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _shortid = require('shortid');

var _shortid2 = _interopRequireDefault(_shortid);

var _isFunction = require('../utils/isFunction');

var _isFunction2 = _interopRequireDefault(_isFunction);

var _isImage = require('../utils/isImage');

var _isImage2 = _interopRequireDefault(_isImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Asynchronously an load image
 * @param {file} file 
 * @param {boolean || function} skip
 * @return {Promise} 
 */
async function imageLoader(file, skip) {
  return new Promise((resolve, reject) => {
    if (!(0, _isImage2.default)(file)) {
      if (skip) {
        if ((0, _isFunction2.default)(skip)) {
          skip(file);
        }
        resolve();
      } else {
        reject('Not an image');
      }
    }
    const reader = new FileReader();
    reader.onload = () => resolve({ data: reader.result, id: _shortid2.default.generate() });
    reader.readAsDataURL(file);
  });
}

exports.default = imageLoader;